<?php

namespace app\admin\controller\life;

use app\admin\validate\life\CinemaValidate;
use app\controller\Curd;
use app\model\Cinema as CinemaModel;
use support\Request;
use support\Response;

class Cinema extends Curd
{

    public function __construct()
    {
        $this->model = new CinemaModel();
        $this->validate = true;
        $this->validateClass = new CinemaValidate();
    }

    /**
     * @Desc 影片列表
     * @Author Gorden
     * @Date 2024/2/26 13:42
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $where['cinema_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 影片软删除
     * @Author Gorden
     * @Date 2024/2/26 13:43
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['cinema_is_del' => 1]);

        return json_success('success');
    }
}