<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class ConfigValidate extends Validate
{
    protected $rule = [
        'config_status' => 'require|in:ACTIVED,DISABLED',
        'config_category' => 'require|in:SYSTEM,APP',
        'config_key' => 'require|alphaDash',
        'config_name' => 'chsDash',
        'config_alias' => 'chsDash',
        'config_value_json' => 'isJson',
        'config_sort' => 'integer',
        'config_groupby' => 'chsDash',
        'config_extend_json' => 'isJson'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['config_status', 'config_category', 'config_key', 'config_name', 'config_alias', 'config_value_json', 'config_sort', 'config_groupby', 'config_extend_json'],
        'update' => ['config_category', 'config_key', 'config_name', 'config_alias', 'config_value_json', 'config_sort', 'config_groupby', 'config_extend_json'],
        'update_status' => ['config_status']
    ];

    protected function isJson($value)
    {
        if (is_json($value)) {
            return true;
        }

        return '数据格式错误~';
    }
}